%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name HTTP_Request2

Name:           php-pear-HTTP-Request2
Version:        0.5.2
Release:        1%{?dist}
Summary:        Provides an easy way to perform HTTP requests

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/HTTP_Request2
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.5.4
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}
Requires:       php-pear(Net_URL2) >= 0.2.0
Requires:       php-pear(PEAR) >= 1.5.4
# Optional dependencies from pci result
Requires:       php-mbstring >= 5.1.4
Requires:       php-pecl(Fileinfo)

%description
PHP5 rewrite of HTTP_Request package. Provides cleaner API and pluggable
Adapters. Currently available are:
  * Socket adapter, based on old HTTP_Request code,
  * Curl adapter, wraps around PHP's cURL extension,
  * Mock adapter, to use for testing packages dependent on HTTP_Request2.
Supports POST requests with data and file uploads, basic and digest 
authentication, cookies, proxies, gzip and deflate encodings, monitoring 
the request progress with Observers...

%prep
%setup -q -c
# Generate Changelog
%{_bindir}/php -n %{SOURCE2} package.xml >CHANGELOG

# Package.xml is V2
mv package.xml %{pear_name}-%{version}/%{name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

sed -i -e 's/\r//' docdir/%{pear_name}/docs/examples/upload-rapidshare.php

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        pear.php.net/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%doc %{pear_name}-%{version}/docdir/%{pear_name}/docs/examples
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/HTTP
%{pear_testdir}/HTTP_Request2


%changelog
* Wed Apr 21 2010 Remi Collet <Fedora@FamilleCollet.com> 0.5.2-1
- new upstream version 0.5.2 (bugfix) - API 0.5.0
- add generated Changelog

* Sun Nov 22 2009 Remi Collet <Fedora@FamilleCollet.com> 0.5.1-1
- new version

* Fri Nov 20 2009 Remi Collet <Fedora@FamilleCollet.com> 0.5.0-1
- new version

* Wed Nov 11 2009 Remi Collet <Fedora@FamilleCollet.com> 0.4.1-1
- initial RPM

